searchNodes=[{"doc":"Seqfuzz is an implementation of a sequential fuzzy string matching algorithm, similar to those used in code editors like Sublime Text. It is based on Forrest Smith's work on lib_ftps and his blog post Reverse Engineering Sublime Text's Fuzzy Match.There is an alternate implementation by @WolfDan which can be found here: Fuzzy Match v0.2.0 Elixir.DocumentationGitHub: https://github.com/negcx/seqfuzzHexdocs: https://hexdocs.pm/seqfuzzInstallationThe package can be installed by adding seqfuzz to your list of dependencies in mix.exs:def deps do [ {:seqfuzz, &quot;~&gt; 0.1.0&quot;} ] endExamplesiex&gt; Seqfuzz.match(&quot;Hello, world!&quot;, &quot;hellw&quot;) %{match?: true, matches: [0, 1, 2, 3, 7], score: 187} iex&gt; items = [{1, &quot;Hello Goodbye&quot;}, {2, &quot;Hell on Wheels&quot;}, {3, &quot;Hello, world!&quot;}] iex&gt; Seqfuzz.filter(items, &quot;hellw&quot;, &amp;(elem(&amp;1, 1))) [{3, &quot;Hello, world!&quot;}, {2, &quot;Hell on Wheels&quot;}]ScoringScores can be configured in your mix configuration. I have added additional separators as a default as well as two additional scoring features: case match bonus and string match bonus. Case match bonus provides a small bonus for matching case. String match bonus provides a large bonus when the pattern and the string match exactly (although with different cases) to make sure that those results are always highest.The default scores and available settings are:config :seqfuzz, sequential_bonus: 15, separator_bonus: 30, camel_bonus: 30, first_letter_bonus: 15, leading_letter_penalty: -3, max_leading_letter_penalty: -25, unmatched_letter_penalty: -1, case_match_bonus: 1, string_match_bonus: 20, separators: [&quot;_&quot;, &quot; &quot;, &quot;.&quot;, &quot;/&quot;, &quot;,&quot;], initial_score: 100Changelog0.1.0 - Initial version. Supports basic algorithm but does not search recursively for better matches.RoadmapAdd support for recursive search for better matches.Add support for asynchronous stream search.","ref":"Seqfuzz.html","title":"Seqfuzz","type":"module"},{"doc":"Matches against a list of strings and returns the list of matches sorted by highest score first.Examplesiex&gt; strings = [&quot;Hello Goodbye&quot;, &quot;Hell on Wheels&quot;, &quot;Hello, world!&quot;] iex&gt; Seqfuzz.filter(strings, &quot;hellw&quot;) [&quot;Hello, world!&quot;, &quot;Hell on Wheels&quot;]","ref":"Seqfuzz.html#filter/2","title":"Seqfuzz.filter/2","type":"function"},{"doc":"Matches against an enumerable using a callback to access the string to match and returns the list of matches sorted by highest score first.Examplesiex&gt; items = [{1, &quot;Hello Goodbye&quot;}, {2, &quot;Hell on Wheels&quot;}, {3, &quot;Hello, world!&quot;}] iex&gt; Seqfuzz.filter(items, &quot;hellw&quot;, &amp;(elem(&amp;1, 1))) [{3, &quot;Hello, world!&quot;}, {2, &quot;Hell on Wheels&quot;}]","ref":"Seqfuzz.html#filter/3","title":"Seqfuzz.filter/3","type":"function"},{"doc":"Determines whether pattern is a sequential fuzzy match with string and provides a matching score. matches is a list of indices within string where a match was found.Examplesiex&gt; Seqfuzz.match(&quot;Hello, world!&quot;, &quot;hellw&quot;) %{match?: true, matches: [0, 1, 2, 3, 7], score: 187}","ref":"Seqfuzz.html#match/2","title":"Seqfuzz.match/2","type":"function"},{"doc":"Applies the match algorithm to the entire enumerable with options to sort and filter.Options:sort - Sort the enumerable by score, defaults to false.:filter - Filter out elements that don't match, defaults to false.:metadata - Include the match metadata map in the result, defaults to true. When true the return value is a tuple {element, %{...}}. When false, the return value is a list of element.Examplesiex&gt; strings = [&quot;Hello Goodbye&quot;, &quot;Hell on Wheels&quot;, &quot;Hello, world!&quot;] iex&gt; Seqfuzz.matches(strings, &quot;hellw&quot;, &amp; &amp;1) [ {&quot;Hello Goodbye&quot;, %{match?: false, matches: [0, 1, 2, 3], score: 155}}, {&quot;Hell on Wheels&quot;, %{match?: true, matches: [0, 1, 2, 3, 8], score: 185}}, {&quot;Hello, world!&quot;, %{match?: true, matches: [0, 1, 2, 3, 7], score: 187}} ] iex&gt; strings = [&quot;Hello Goodbye&quot;, &quot;Hell on Wheels&quot;, &quot;Hello, world!&quot;] iex&gt; Seqfuzz.matches( iex&gt; strings, iex&gt; &quot;hellw&quot;, iex&gt; &amp; &amp;1, iex&gt; metadata: false, iex&gt; filter: true, iex&gt; sort: true iex&gt; ) [&quot;Hello, world!&quot;, &quot;Hell on Wheels&quot;]","ref":"Seqfuzz.html#matches/4","title":"Seqfuzz.matches/4","type":"function"},{"doc":"","ref":"Seqfuzz.html#t:match_metadata/0","title":"Seqfuzz.match_metadata/0","type":"type"}]